<?php
/**
 * Only logo menu.
 */

if ( is_page() || is_home() ) {
	$post_id = get_queried_object_id();
} else {
	$post_id = get_the_ID();
}


$meta_data           = get_post_meta( $post_id, '_custom_page_options', true );
$meta_data_portfolio = get_post_meta( $post_id, 'ono_portfolio_options', true );
$meta_data_services = get_post_meta( $post_id, 'ono_services_options', true );


$logo_align = cs_get_option('logo_align');
$logo_align = isset( $meta_data['logo_align'] ) && $meta_data['logo_align'] ? $meta_data['logo_align'] : $logo_align;
$logo_align = isset( $meta_data_portfolio['logo_align'] ) && $meta_data_portfolio['logo_align'] ? $meta_data_portfolio['logo_align'] : $logo_align;
$logo_align = isset( $meta_data_services['logo_align'] ) && $meta_data_services['logo_align'] ? $meta_data_services['logo_align'] : $logo_align;


$error_light   = cs_get_option('error_light') && is_404() ? 'header-light' : '';

$fixed_menu_class = ono_fixed_header( 'only_logo', $post_id ); ?>

<div class="header_top_bg only_logo <?php echo esc_attr($logo_align . ' ' . $error_light); ?> <?php echo esc_attr( $fixed_menu_class ) ?>">
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <header class="top-menu">
                    <!-- LOGO -->
					<?php ono_site_logo(); ?>
                    <!-- /LOGO -->
                </header>
            </div>
        </div>
    </div>
</div>