<?php
/**
 * Category Template
 */

$blog_type = cs_get_option('blog_type') ? cs_get_option('blog_type') : 'masonry';
$blog_type = apply_filters('ono_blog_style', $blog_type);

get_header();
if ( have_posts() ) :
	get_template_part('template-parts/blog/blog', $blog_type . '-category');
	wp_enqueue_style('blog-list', ONO_T_URI . '/assets/css/blog-list.min.css');
	?>
<?php else : ?>
	<div class="search-page">
		<div class="container">
			<div class="row">
				<div class="col-12">
					<h2 class="title"><?php esc_html_e('Sorry, no posts matched your criteria.', 'ono'); ?></h2>
					<div class="search-form form btn-style-1">
						<?php get_search_form(true); ?>
					</div>
				</div>
			</div>
		</div>
	</div>
<?php endif;

get_footer();