<?php
/**
 * Aside menu
 */

if ( is_page() || is_home() ) {
	$post_id = get_queried_object_id();
} else {
	$post_id = get_the_ID();
}

$meta_data           = get_post_meta( $post_id, '_custom_page_options', true );
$meta_data_portfolio = get_post_meta( $post_id, 'ono_portfolio_options', true );
$meta_data_services = get_post_meta( $post_id, 'ono_services_options', true );

$copy_text      = cs_get_option( 'menu_copy' ) ? cs_get_option( 'menu_copy' ) : ' ';

// header search
$header_search_enable = cs_get_option( 'header_search_enable' );
$header_search_enable = isset( $meta_data['header_search_enable'] ) && $meta_data['header_search_enable'] ? $meta_data['header_search_enable'] : $header_search_enable;
$header_search_enable = isset( $meta_data_portfolio['header_search_enable'] ) && $meta_data_portfolio['header_search_enable'] ? $meta_data_portfolio['header_search_enable'] : $header_search_enable;
$header_search_enable = isset( $meta_data_services['header_search_enable'] ) && $meta_data_services['header_search_enable'] ? $meta_data_services['header_search_enable'] : $header_search_enable;

$header_search_position = '';
if ($header_search_enable) {
	$header_search_position = cs_get_option('header_search_position');
	$header_search_position = isset( $meta_data['header_search_position'] ) && $meta_data['header_search_position'] ? $meta_data['header_search_position'] : $header_search_position;
	$header_search_position = isset( $meta_data_portfolio['header_search_position'] ) && $meta_data_portfolio['header_search_position'] ? $meta_data_portfolio['header_search_position'] : $header_search_position;
	$header_search_position = isset( $meta_data_services['header_search_position'] ) && $meta_data_services['header_search_position'] ? $meta_data_services['header_search_position'] : $header_search_position;
}
// header cart
$header_cart_enable = cs_get_option( 'header_cart_enable' );
$header_cart_enable = isset( $meta_data['header_cart_enable'] ) && $meta_data['header_cart_enable'] ? $meta_data['header_cart_enable'] : $header_cart_enable;
$header_cart_enable = isset( $meta_data_portfolio['header_cart_enable'] ) && $meta_data_portfolio['header_cart_enable'] ? $meta_data_portfolio['header_cart_enable'] : $header_cart_enable;
$header_cart_enable = isset( $meta_data_services['header_cart_enable'] ) && $meta_data_services['header_cart_enable'] ? $meta_data_services['header_cart_enable'] : $header_cart_enable;

$header_cart_position = '';
if ($header_cart_enable) {
	$header_cart_position = cs_get_option('header_cart_position');
	$header_cart_position = isset( $meta_data['header_cart_position'] ) && $meta_data['header_cart_position'] ? $meta_data['header_cart_position'] : $header_cart_position;
	$header_cart_position = isset( $meta_data_portfolio['header_cart_position'] ) && $meta_data_portfolio['header_cart_position'] ? $meta_data_portfolio['header_cart_position'] : $header_cart_position;
	$header_cart_position = isset( $meta_data_services['header_cart_position'] ) && $meta_data_services['header_cart_position'] ? $meta_data_services['header_cart_position'] : $header_cart_position;
}

// header social
$links = cs_get_option( 'header_social' );

$header_social_position = '';
if (!empty($links)) {
	$header_social_position = cs_get_option('header_social_position');
	$header_social_position = isset( $meta_data['header_social_position'] ) && $meta_data['header_social_position'] ? $meta_data['header_social_position'] : $header_social_position;
	$header_social_position = isset( $meta_data_portfolio['header_social_position'] ) && $meta_data_portfolio['header_social_position'] ? $meta_data_portfolio['header_social_position'] : $header_social_position;
	$header_social_position = isset( $meta_data_services['header_social_position'] ) && $meta_data_services['header_social_position'] ? $meta_data_services['header_social_position'] : $header_social_position;
}

// header logo
$header_logo_position = cs_get_option( 'header_logo_position' );
$header_logo_position = isset( $meta_data['header_logo_position'] ) && $meta_data['header_logo_position'] ? $meta_data['header_logo_position'] : $header_logo_position;
$header_logo_position = isset( $meta_data_portfolio['header_logo_position'] ) && $meta_data_portfolio['header_logo_position'] ? $meta_data_portfolio['header_logo_position'] : $header_logo_position;
$header_logo_position = isset( $meta_data_services['header_logo_position'] ) && $meta_data_services['header_logo_position'] ? $meta_data_services['header_logo_position'] : $header_logo_position;

$header_gradient = isset( $meta_data['header_gradient'] ) && $meta_data['header_gradient'] ? $meta_data['header_gradient'] : false;
$header_gradient = isset( $meta_data_portfolio['header_gradient'] ) && $meta_data_portfolio['header_gradient'] ? $meta_data_portfolio['header_gradient'] : $header_gradient;
$header_gradient = isset( $meta_data_services['header_gradient'] ) && $meta_data_services['header_gradient'] ? $meta_data_services['header_gradient'] : $header_gradient;
$page_menu_add_align = isset( $meta_data['page_menu_add_align'] ) && $meta_data['page_menu_add_align'] ? $meta_data['page_menu_add_align'] : 'menu-left';
$page_menu_add_align = isset( $meta_data_portfolio['page_menu_add_align'] ) && $meta_data_portfolio['page_menu_add_align'] ? $meta_data_portfolio['page_menu_add_align'] : $page_menu_add_align;
$page_menu_add_align = isset( $meta_data_services['page_menu_add_align'] ) && $meta_data_services['page_menu_add_align'] ? $meta_data_services['page_menu_add_align'] : $page_menu_add_align;

if ($header_gradient && isset( $meta_data['first_gradient'] ) && !empty($meta_data['first_gradient']) && isset( $meta_data['second_gradient'] ) && !empty($meta_data['second_gradient'])) {
	$first_gradient = $meta_data['first_gradient'];
	$second_gradient = $meta_data['second_gradient'];
	$headerClass = 'header_gradient';
} else {
	$header_gradient = false;
	$headerClass = '';
}

if ($header_gradient && isset( $meta_data_portfolio['first_gradient'] ) && !empty($meta_data_portfolio['first_gradient']) && isset( $meta_data_portfolio['second_gradient'] ) && !empty($meta_data_portfolio['second_gradient'])) {
	$first_gradient = $meta_data_portfolio['first_gradient'];
	$second_gradient = $meta_data_portfolio['second_gradient'];
	$headerClass = 'header_gradient';
} else {
	$header_gradient = false;
	$headerClass = '';
}

if ($header_gradient && isset( $meta_data_services['first_gradient'] ) && !empty($meta_data_services['first_gradient']) && isset( $meta_data_services['second_gradient'] ) && !empty($meta_data_services['second_gradient'])) {
	$first_gradient = $meta_data_services['first_gradient'];
	$second_gradient = $meta_data_services['second_gradient'];
	$headerClass = 'header_gradient';
} else {
	$header_gradient = false;
	$headerClass = '';
}

$center_box = $header_logo_position == 'center' || $page_menu_add_align == 'menu-center';
if ($center_box) {
	$class = 'three-box';
} else {
	$class = 'two-box';
} 

$animation_style = '';
if ( isset( $meta_data['page_menu_add'] ) && $meta_data['page_menu_add'] !== 'none' ) {
	$animation_style = isset( $meta_data['page_menu_add_animation'] ) && $meta_data['page_menu_add_animation'] ? $meta_data['page_menu_add_animation'] : '';
} elseif ( isset( $meta_data_portfolio['page_menu_add'] ) && $meta_data_portfolio['page_menu_add'] !== 'none' ) {
	$animation_style = isset( $meta_data_portfolio['page_menu_add'] ) && $meta_data_portfolio['page_menu_add'] ? $meta_data_portfolio['page_menu_add_animation'] : '';
} elseif ( isset( $meta_data_services['page_menu_add'] ) && $meta_data_services['page_menu_add'] !== 'none' ) {
	$animation_style = isset( $meta_data_services['page_menu_add'] ) && $meta_data_services['page_menu_add'] ? $meta_data_services['page_menu_add_animation'] : '';
}
if (function_exists('cs_css_animation_output')) {
	$menu_animation_output    = cs_css_animation_output($animation_style, '100', '800');
} else {
	$menu_animation_output = '';
}

$fixed_menu_class = ono_fixed_header('aside', $post_id);

$bg_logo = cs_get_option( 'bg_logo' );
$bg_logo = isset( $meta_data['bg_logo'] ) && $meta_data['bg_logo'] ? $meta_data['bg_logo'] : $bg_logo;
$bg_logo = isset( $meta_data_portfolio['bg_logo']) ? $meta_data_portfolio['bg_logo'] : $bg_logo;
$bg_logo = isset( $meta_data_services['bg_logo']) ? $meta_data_services['bg_logo'] : $bg_logo;

$img_menu = cs_get_option('img_mega_menu');
$mobile_trans = isset($bg_logo) && !empty($bg_logo) ? "white_bg_trans" : ""; ?>

<div class="header_top_bg <?php echo esc_attr($headerClass . ' ' . $fixed_menu_class . ' ' . $mobile_trans );?>">
	<?php if ($header_gradient) { ?>
		<div class="header-gradient-item" style="background-image: linear-gradient(<?php echo esc_attr($first_gradient); ?>, <?php echo esc_attr($second_gradient); ?> );"></div>
		<div class="header-gradient-bg" style="background-color: <?php echo esc_attr($first_gradient); ?>"></div>
	<?php } ?>
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">

                <!-- HEADER -->
                <header class="right-menu aside-menu aside-fix <?php echo esc_attr($class); ?> menu-css-animation" data-img-url="<?php echo esc_url($img_menu)?>">
					<div class="header-left header-box">
						<?php if ($header_logo_position == 'left') { ?>
							<!-- LOGO -->
							<?php ono_site_logo(); ?>
							<!-- /LOGO -->
						<?php } ?>
						<?php if ($page_menu_add_align == 'menu-left') { ?>
							<!-- ADD MENU -->
							<?php ono_custom_menu(); ?>
							<!-- / ADD MENU -->
						<?php } ?>
						<?php if ($header_social_position == 'left') { ?>
							<!-- SOCIAL -->
							<?php if ( ! empty( $links ) ) { ?>
								<div class="ono-top-social outside">
									<ul class="social">
										<?php foreach ( $links as $link ) { ?>
											<li>
												<a href="<?php echo esc_url( $link['header_social_link'] ); ?>"
												   target="_blank">
													<i class="<?php echo esc_attr( $link['header_social_icon'] ); ?>"></i>
												</a>
											</li>
										<?php } ?>
									</ul>
								</div>
							<?php } ?>
							<!-- / SOCIAL -->
						<?php } ?>
						<?php if ($header_search_position == 'left') { ?>
							<!-- SEARCH -->
							<div class="search-icon-wrapper ico-style">
								<?php do_action( 'ono_after_footer' ); ?>
							</div>
							<!-- / SEARCH -->
						<?php } ?>
						<?php if ($header_cart_position == 'left') {
							if ( function_exists('WC') ) {
								if ( in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins'))) ) {
									$count = WC()->cart->cart_contents_count; ?>
									<div class="mini-cart-wrapper">
										<a class="ono-shop-icon"
										   href="<?php echo wc_get_cart_url(); ?>"
										   title="<?php esc_attr_e('View your shopping cart', 'ono'); ?>">
											<?php if ( $count > 0 ) { ?>
												<span class="cart-contents">
													<span class="cart-contents-count"><?php echo esc_html($count); ?></span>
												</span>
											<?php } ?>
										</a>
										<?php echo ono_mini_cart(); ?>
									</div>
								<?php }
							}
						} ?>
					</div>
					<?php if ($center_box) { ?>
						<div class="header-center header-box">
							<?php if ($header_logo_position == 'center') { ?>
								<!-- LOGO -->
								<?php ono_site_logo(); ?>
								<!-- /LOGO -->
							<?php } ?>
							<?php if ($page_menu_add_align == 'menu-center') { ?>
								<!-- ADD MENU -->
								<?php ono_custom_menu(); ?>
								<!-- / ADD MENU -->
							<?php } ?>
						</div>
					<?php }  ?>

					<div class="header-right header-box">
						<?php if ($page_menu_add_align == 'menu-right') { ?>
							<!-- ADD MENU -->
							<?php ono_custom_menu(); ?>
							<!-- / ADD MENU -->
						<?php } ?>
						<?php if ($header_social_position == 'right') { ?>
							<!-- SOCIAL -->
							<?php if ( ! empty( $links ) ) { ?>
								<div class="ono-top-social outside">
									<ul class="social">
										<?php foreach ( $links as $link ) { ?>
											<li>
												<a href="<?php echo esc_url( $link['header_social_link'] ); ?>"
												   target="_blank">
													<i class="<?php echo esc_attr( $link['header_social_icon'] ); ?>"></i>
												</a>
											</li>
										<?php } ?>
									</ul>
								</div>
							<?php } ?>
							<!-- / SOCIAL -->
						<?php } ?>
						<?php if ($header_search_position == 'right') { ?>
							<!-- SEARCH -->
							<div class="search-icon-wrapper ico-style">
								<?php do_action( 'ono_after_footer' ); ?>
							</div>
							<!-- / SEARCH -->
						<?php } ?>
						<?php if ($header_cart_position == 'right') {
							if ( function_exists('WC') ) {
								if ( in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins'))) ) {
									$count = WC()->cart->cart_contents_count; ?>
									<div class="mini-cart-wrapper">
										<a class="ono-shop-icon"
										   href="<?php echo wc_get_cart_url(); ?>"
										   title="<?php esc_attr_e('View your shopping cart', 'ono'); ?>">
											<?php if ( $count > 0 ) { ?>
												<span class="cart-contents">
													<span class="cart-contents-count"><?php echo esc_html($count); ?></span>
												</span>
											<?php } ?>
										</a>
										<?php echo ono_mini_cart(); ?>
									</div>
								<?php }
							}
						} ?>
						<!-- FILTER -->
						<div class="desc-filter">
							<span class="filter open">
								<i class="fas fa-filter"></i>
							</span>
						</div>
						<div class="mob-filter">
							<span class="filter open">
								<i class="fas fa-filter"></i>
							</span>
						</div>
						<!-- NAVIGATION -->
						<nav id="topmenu" class="topmenu">
							<a href="#" class="mob-nav-close">
								<span><?php esc_html_e( 'close', 'ono' ); ?></span>
								<div class="hamburger">
									<span class="line"></span>
									<span class="line"></span>
								</div>
							</a>

							<div class="additional-menu-wrapper">
								<span class="additional-menu-overlay"></span>
								<!-- MENU ICON -->
								<a href="#" class="additional-nav">
									<span class="line"></span>
									<span class="line"></span>
								</a>

								<div class="additional-inner-wrap">
									<div class="additional-nav-close">
										<span class="line"></span>
										<span class="line"></span>
									</div>

									<!-- SOCIALS -->
									<?php if ( ! empty( $links ) ) { ?>
										<div class="ono-top-social <?php echo esc_attr($header_social_position); ?>">
											<ul class="social">
												<?php foreach ( $links as $link ) { ?>
													<li>
														<a href="<?php echo esc_url( $link['header_social_link'] ); ?>"
														   target="_blank">
															<i class="<?php echo esc_attr( $link['header_social_icon'] ); ?>"></i>
														</a>
													</li>
												<?php } ?>
											</ul>
										</div>
									<?php } ?>

									<!-- /MOB MENU ICON -->
									<div class="menu-mob"><?php ono_custom_menu(); ?></div>
									<div class="menu-desc"><?php ono_add_menu(); ?></div>


									<div class="additional-menu-bottom">
										<!-- SEARCH -->
										<div class="search-icon-wrapper search-icon-wrapper--inside <?php echo esc_attr($header_search_position) ?>">
											<div class="search-title">Search</div>
											<?php do_action( 'ono_after_footer' ); ?>
										</div>

										<!-- COPYRIGHT -->
										<?php if(isset($copy_text) && !empty($copy_text)){ ?>
											<div class="copy">
												<?php echo wp_kses_post( $copy_text ); ?>
											</div>
										<?php } ?>
									</div>
								</div>
							</div>

							<!-- /FULL MENU -->
						</nav>
						<!-- NAVIGATION -->
					</div>

                    <!-- MOB MENU ICON -->
                    <a href="#" class="mob-nav">
                        <div class="hamburger">
                            <span class="line"></span>
                            <span class="line"></span>
                            <span class="line"></span>
                        </div>
                    </a>

                    <!-- /MOB MENU ICON -->
					<div class="mob-filter">
						<span class="filter open">
							<i class="fas fa-filter"></i>
						</span>
					</div>

                </header>
            </div>
        </div>
    </div>
</div>
