<?php
global $post;

$portfolio_meta = get_post_meta($post->ID, 'ono_portfolio_options');

$size_images = 'full';
if ( isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 1 ) {
	$size_images = 'thumbnail';
} elseif ( isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 2 ) {
	$size_images = 'medium';
} elseif ( isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 3 ) {
	$size_images = 'medium_large';
} elseif ( isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 4 ) {
	$size_images = 'large';
}

$social_option = isset($portfolio_meta[0]['ono_social_portfolio']) ? $portfolio_meta[0]['ono_social_portfolio'] : '';
$images        = !empty($portfolio_meta[0]['slider']) ? explode(',', $portfolio_meta[0]['slider']) : ''; ?>
	<div class="content-wrap">
			<div class="category">
				<?php the_terms(get_the_ID(), 'portfolio-category'); ?>
			</div>
			<div class="title">
				<?php the_title('<h1 class="title">', '</h1>'); ?>
			</div>
			<div class="text"><?php echo implode(' ', array_slice(explode(' ', get_the_content()), 0, 55)); ?></div>
		</div>
<?php if ( !empty($images) ) { ?>
	<div class="swiper-container post-media gallery-top full-height-window-hard" data-mouse="0" data-autoplay="5000" data-loop="1" data-speed="1500"
		 data-center="1"
		 data-space="0" data-pagination-type="bullets" data-mode="horizontal">
		<div class="swiper-wrapper">
			<?php
			foreach ( $images as $image ) {
				$url        = (is_numeric($image) && !empty($image)) ? wp_get_attachment_url($image) : '';
				$url_size   = (is_numeric($image) && !empty($image)) ? wp_get_attachment_image_src($image, $size_images) : '';
				$attachment = get_post($image);
				$title      = $attachment->post_excerpt; ?>
				<div class="swiper-slide">
					<div class="image-wrap">
						<?php echo ono_the_lazy_load_flter($url, array(
							'class' => 's-img-switch',
							'alt'   => $title
						)); ?>
					</div>
				</div>
				<?php
			} ?>
		</div>
	</div>
	<div class="swiper-container gallery-thumbs">
		<div class="swiper-wrapper">
			<?php
			foreach ( $images as $image ) {
				$url        = (is_numeric($image) && !empty($image)) ? wp_get_attachment_url($image) : '';
				$url_size   = (is_numeric($image) && !empty($image)) ? wp_get_attachment_image_src($image, $size_images) : '';
				$attachment = get_post($image);
				$title      = $attachment->post_excerpt; ?>
				<div class="swiper-slide">
					<div class="image-wrap">
						<?php echo ono_the_lazy_load_flter($url, array(
							'class' => 's-img-switch',
							'alt'   => $title
						)); ?>
					</div>
				</div>
				<?php
			} ?>
		</div>
	</div>
<?php } ?>