<?php
global $post;

$portfolio_meta = get_post_meta($post->ID, 'ono_portfolio_options');

$size_images = 'full';
if ( isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 1 ) {
	$size_images = 'thumbnail';
} elseif ( isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 2 ) {
	$size_images = 'medium';
} elseif ( isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 3 ) {
	$size_images = 'medium_large';
} elseif ( isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 4 ) {
	$size_images = 'large';
}

$social_option = isset($portfolio_meta[0]['ono_social_portfolio']) ? $portfolio_meta[0]['ono_social_portfolio'] : '';
$images        = !empty($portfolio_meta[0]['slider']) ? explode(',', $portfolio_meta[0]['slider']) : '';

if ( !empty($images) ) {
	foreach ( $images as $count => $image ) {
		$url             = (is_numeric($image) && !empty($image)) ? wp_get_attachment_url($image) : '';
		$url_size        = (is_numeric($image) && !empty($image)) ? wp_get_attachment_image_src($image, $size_images) : '';
		$attachment      = get_post($image);
		$parallax_mobile = $portfolio_meta[0]['parallax_mobile'];
		$parallaxMobile  = ($parallax_mobile) ? 'data-ios-disabled=false data-android-disabled=false' : ''; ?>
			<?php
			$url_size_index= isset($url_size[0]) ? $url_size[0] : '';
			if ( $count == 0 ) { ?>
				<div class="parallax-window full-height-window" data-parallax="scroll" data-position-Y="top"
					 data-image-src="<?php echo esc_url($url_size_index); ?>" <?php echo esc_attr($parallaxMobile); ?>>
					<div class="content-parallax">
						<div class="category-parallax">
							<?php the_terms(get_the_ID(), 'portfolio-category'); ?>
						</div>
						<?php the_title('<h3 class="title">', '</h3>'); ?>

					</div>
					<?php if ( $image == end($images) ) { ?>
						<div class="text"><?php echo implode(' ', array_slice(explode(' ', get_the_content()), 0, 55)); ?></div>
					<?php }?>
				</div>
			<?php } else { ?>

			<div class="parallax-window height-window-hard" data-parallax="scroll" data-position-Y="top"
				 data-image-src="<?php echo esc_url($url_size_index); ?>" <?php echo esc_attr($parallaxMobile); ?>>
				<?php if ( $image == end($images) ) { ?>
					<div class="text"><?php
					if( '' !== get_post()->post_content ) {
						the_content();
					}?></div>
				<?php } ?>
			</div>
                 
			<?php
		}
		$count++;
	}
}

ono_portfolio_pagination();

//if ( $portfolio_meta[0]['ono_navigation_portfolio'] ) {
//	ono_portfolio_pagination();
//}
